Bug 181227 - math/mumps: upgrade to 4.10.0
math/mumps: upgrade to 4.10.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: bf
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 18:10 UTC by Thierry Thomas
Modified: 2014-05-13 22:51 UTC (History)
0 users

See Also:


Attachments
mumps.diff (10.71 KB, patch)
2013-08-11 18:10 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2013-08-11 18:10:00 UTC
	Upgrade to 4.10.0.

	Changelog at http://graal.ens-lyon.fr/MUMPS/index.php?page=dwnld#cl .

	Since I'm there, pet portlint and define the license.

Fix: Pleasee apply the following patch:
How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2013-08-11 18:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-05-13 22:45:55 UTC
Author: thierry
Date: Tue May 13 21:45:49 2014
New Revision: 354002
URL: http://svnweb.freebsd.org/changeset/ports/354002
QAT: https://qat.redports.org/buildarchive/r354002/

Log:
  1- Upgrade to 4.10.0: this version is required by french/aster;
  
  2- Stagify.
  
  PR:		ports/181227
  Submitted by:	/me
  Approved by:	maintainer's time-out

Added:
  head/math/mumps/files/patch-PORD_lib_Makefile   (contents, props changed)
  head/math/mumps/files/patch-libseq_Makefile   (contents, props changed)
  head/math/mumps/files/patch-src_Makefile   (contents, props changed)
Modified:
  head/math/mumps-mpich/Makefile
  head/math/mumps/Makefile
  head/math/mumps/distinfo
  head/math/mumps/files/patch-Make.inc+Makefile.inc.generic
  head/math/mumps/files/patch-Make.inc+Makefile.inc.generic.SEQ
  head/math/mumps/pkg-descr

Modified: head/math/mumps-mpich/Makefile
==============================================================================
--- head/math/mumps-mpich/Makefile	Tue May 13 21:31:41 2014	(r354001)
+++ head/math/mumps-mpich/Makefile	Tue May 13 21:45:49 2014	(r354002)
@@ -5,5 +5,4 @@ MASTERDIR=		${.CURDIR}/../mumps
 
 WITH_MPI=		yes
 
-NO_STAGE=	yes
 .include "../mumps/Makefile"

Modified: head/math/mumps/Makefile
==============================================================================
--- head/math/mumps/Makefile	Tue May 13 21:31:41 2014	(r354001)
+++ head/math/mumps/Makefile	Tue May 13 21:45:49 2014	(r354002)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	mumps
-PORTVERSION=	4.8.4
-PORTREVISION=	4
+PORTVERSION=	4.10.0
 CATEGORIES=	math
 MASTER_SITES=	http://mumps.enseeiht.fr/		\
 		http://graal.ens-lyon.fr/MUMPS/		\
@@ -14,10 +13,14 @@ DISTNAME=	MUMPS_${PORTVERSION}
 MAINTAINER=	bf@FreeBSD.org
 COMMENT=	MUltifrontal Massively Parallel sparse direct Solver
 
+LICENSE=	Public_Domain
+LICENSE_NAME=	"Public Domain"
+LICENSE_FILE=	${WRKSRC}/LICENSE
+LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
+
 #-----------------------------------------------------------------------
 
 # WARNING: Non-serviceable parts inside, can break other ports
-NO_STAGE=	yes
 # You may define these options/knobs:
 #
 # FFLAGS: Fortran compiler flags for gfortran
@@ -32,8 +35,10 @@ SLAVEDIRS=	math/mumps-mpich
 
 USES=		fortran
 
+MAKE_JOBS_UNSAFE=yes
+
 FORTRANLIBS=	-lgfortran
-GCCLIBDIR=	-L`${CAT} ${WRKSRC}/LIBDIR` -L`${CAT} ${WRKSRC}/LIBDIR`/../../..
+GCCLIBDIR=	${LDFLAGS}
 
 .if defined(WITH_OPTIMIZED_FLAGS)
 FFLAGS+=	-O3 -ffast-math
@@ -52,11 +57,11 @@ PLIST_SUB+=	MUMPSVERSION=${PORTVERSION}
 WITH_ATLAS=	yes
 .endif
 .if defined(WITH_ATLAS)
-LIB_DEPENDS+=	atlas.2:${PORTSDIR}/math/atlas
+LIB_DEPENDS+=	libatlas.so:${PORTSDIR}/math/atlas
 BLAS_LIBS=	-lf77blas
 LAPACK_LIBS=	-lalapack -lcblas
 .else
-LIB_DEPENDS+=	blas.2:${PORTSDIR}/math/blas
+LIB_DEPENDS+=	libblas.so:${PORTSDIR}/math/blas
 BLAS_LIBS=	-lblas
 LAPACK_LIBS=	-llapack
 .endif
@@ -66,7 +71,7 @@ PKGNAMESUFFIX+=		-mpich
 BUILD_DEPENDS+=	${LOCALBASE}/include/mpif.h:${PORTSDIR}/net/mpich2 \
 		${LOCALBASE}/lib/libblacs.a:${PORTSDIR}/math/blacs \
 		${LOCALBASE}/lib/libscalapack.a:${PORTSDIR}/math/scalapack
-LIB_DEPENDS+=	lapack:${PORTSDIR}/math/lapack
+LIB_DEPENDS+=	liblapack.so:${PORTSDIR}/math/lapack
 # Note: -l?mumps still requires to be linked with -lblacs + -lscalapack
 RUN_DEPENDS+=	${LOCALBASE}/bin/mpirun:${PORTSDIR}/net/mpich2 \
 		${LOCALBASE}/lib/libblacs.a:${PORTSDIR}/math/blacs \
@@ -82,12 +87,12 @@ PLIST_SUB+=	WITH_LIBSEQ=""
 PLIST_SUB+=	WITH_LIBSEQ="@comment "
 .endif
 
-post-patch:
+pre-configure:
 .ifdef WITH_MPI
-	@${INSTALL_DATA} ${WRKSRC}/Make.inc/Makefile.inc.generic \
+	${INSTALL_DATA} ${WRKSRC}/Make.inc/Makefile.inc.generic \
 		${WRKSRC}/Makefile.inc
 .else
-	@${INSTALL_DATA} ${WRKSRC}/Make.inc/Makefile.inc.generic.SEQ \
+	${INSTALL_DATA} ${WRKSRC}/Make.inc/Makefile.inc.generic.SEQ \
 		${WRKSRC}/Makefile.inc
 .endif
 
@@ -100,7 +105,6 @@ pre-build:
 	s+@FORTRANLIBS@+${FORTRANLIBS}+g; \
 	s+@PTHREAD_LIBS@+${PTHREAD_LIBS}+g; \
 	s+@BLAS_LIBS@+${BLAS_LIBS}+ ; \
-	s+../PORD+${WRKSRC}/PORD+; \
 	s+@LOCALBASE@+${LOCALBASE}+g;' \
 		${WRKSRC}/Makefile.inc
 .ifdef WITH_MPI
@@ -111,24 +115,24 @@ pre-build:
 .endif
 
 do-install:
-	${INSTALL_DATA} ${WRKSRC}/include/*.h ${PREFIX}/include
-	${INSTALL_DATA} ${WRKSRC}/lib/lib*.a ${PREFIX}/lib
+	${INSTALL_DATA} ${WRKSRC}/include/*.h ${STAGEDIR}${PREFIX}/include
+	${INSTALL_DATA} ${WRKSRC}/lib/lib*.a ${STAGEDIR}${PREFIX}/lib
 .ifndef WITH_MPI
-	${INSTALL_DATA} ${WRKSRC}/libseq/libmpiseq.a ${PREFIX}/lib
+	${INSTALL_DATA} ${WRKSRC}/libseq/libmpiseq.a ${STAGEDIR}${PREFIX}/lib
 .endif
 .ifndef NOPORTDOCS
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/doc/userguide_${PORTVERSION}.pdf ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/doc/userguide_${PORTVERSION}.ps ${DOCSDIR}
-	${GZIP_CMD} ${DOCSDIR}/userguide_${PORTVERSION}.ps
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/userguide_${PORTVERSION}.pdf ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/userguide_${PORTVERSION}.ps ${STAGEDIR}${DOCSDIR}
+	${GZIP_CMD} ${STAGEDIR}${DOCSDIR}/userguide_${PORTVERSION}.ps
 .endif
 .ifndef NOPORTEXAMPLES
-	@${MKDIR} ${EXAMPLESDIR}
+	${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
 . for ex in Makefile README *.c *.F input_simpletest_*
-	${INSTALL_DATA} ${WRKSRC}/examples/${ex} ${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKSRC}/examples/${ex} ${STAGEDIR}${EXAMPLESDIR}
 . endfor
 . for ex in c_example *simpletest
-	${INSTALL_PROGRAM} ${WRKSRC}/examples/${ex} ${EXAMPLESDIR}
+	${INSTALL_PROGRAM} ${WRKSRC}/examples/${ex} ${STAGEDIR}${EXAMPLESDIR}
 . endfor
 .endif
 

Modified: head/math/mumps/distinfo
==============================================================================
--- head/math/mumps/distinfo	Tue May 13 21:31:41 2014	(r354001)
+++ head/math/mumps/distinfo	Tue May 13 21:45:49 2014	(r354002)
@@ -1,2 +1,2 @@
-SHA256 (MUMPS_4.8.4.tar.gz) = cda022a12ce632ae753dcffc06411b2569647fafa01db947cc6a280d465acb2d
-SIZE (MUMPS_4.8.4.tar.gz) = 2007524
+SHA256 (MUMPS_4.10.0.tar.gz) = d0f86f91a74c51a17a2ff1be9c9cee2338976f13a6d00896ba5b43a5ca05d933
+SIZE (MUMPS_4.10.0.tar.gz) = 2481516

Modified: head/math/mumps/files/patch-Make.inc+Makefile.inc.generic
==============================================================================
--- head/math/mumps/files/patch-Make.inc+Makefile.inc.generic	Tue May 13 21:31:41 2014	(r354001)
+++ head/math/mumps/files/patch-Make.inc+Makefile.inc.generic	Tue May 13 21:45:49 2014	(r354002)
@@ -1,30 +1,33 @@
---- Make.inc/Makefile.inc.generic.orig	Fri Apr 14 08:00:50 2006
-+++ Make.inc/Makefile.inc.generic	Fri May 26 10:28:02 2006
-@@ -39,20 +39,20 @@
- #          Metis is now available as an internal ordering for MUMPS.
- 
- 
--#LSCOTCHDIR = $(HOME)/JY/emilio/bin/generic
-+#LSCOTCHDIR = @LOCALBASE@/lib
- #LSCOTCH   = -L$(LSCOTCHDIR) -lesmumps  -lfax -lorder -lscotch -lsymbol -ldof -lgraph -lcommon -lm
+--- Make.inc/Makefile.inc.generic.orig	2011-05-10 14:56:32.000000000 +0200
++++ Make.inc/Makefile.inc.generic	2013-08-11 17:41:51.000000000 +0200
+@@ -39,7 +39,7 @@
+ #          Metis/ParMetis and SCOTCH/PT-SCOTCH (ver 5.1 and later) orderings are now available for MUMPS.
+ #
  
- LPORDDIR = ../PORD/lib/
- IPORD    = -I../PORD/include/
+-#SCOTCHDIR  = ${HOME}/scotch_5.1_esmumps
++#SCOTCHDIR  = @LOCALBASE@
+ #ISCOTCH    = -I$(SCOTCHDIR)/include 
+ # You have to choose one among the following two lines depending on
+ # the type of analysis you want to perform. If you want to perform only
+@@ -55,7 +55,7 @@
+ IPORD    = -I$(topdir)/PORD/include/
  LPORD    = -L$(LPORDDIR) -lpord
  
--#LMETISDIR = Directory containing Metis library
-+LMETISDIR = @LOCALBASE@/lib
- #IMETIS    = # Metis doesn't need include files (Fortran interface avail.)
- #LMETIS    = -L$(LMETISDIR) -lmetis
- 
- # Corresponding variables reused later
- #ORDERINGS = -Dmetis -Dpord
+-#LMETISDIR = /local/metis/
++#LMETISDIR = @LOCALBASE@/lib
+ #IMETIS    = # Should be provided if you use parmetis
+ 
+ # You have to choose one among the following two lines depending on
+@@ -70,7 +70,7 @@
+ # The following variables will be used in the compilation process.
+ # Please note that -Dptscotch and -Dparmetis imply -Dscotch and -Dmetis respectively.
+ #ORDERINGSF = -Dscotch -Dmetis -Dpord -Dptscotch -Dparmetis
 -ORDERINGSF  = -Dpord
 +ORDERINGSF  += -Dpord
  ORDERINGSC  = $(ORDERINGSF)
+ 
  LORDERINGS = $(LMETIS) $(LPORD) $(LSCOTCH)
- IORDERINGS = $(IMETIS) $(IPORD) $(ISCOTCH)
-@@ -66,11 +66,11 @@
+@@ -91,11 +91,11 @@
  # RM : remove files
  RM      = /bin/rm -f
  # CC : C compiler
@@ -37,9 +40,9 @@
 -FL      = f90
 +FL      = @FC@
  # AR : Archive object in a library
- AR      = ar vr
- # RANLIB : generate index of an archive file
-@@ -79,13 +79,13 @@
+ #      keep a space at the end if options have to be separated from lib name
+ AR      = ar vr 
+@@ -105,13 +105,13 @@
  #RANLIB  = echo
  
  # SCALAP should define the SCALAPACK and  BLACS libraries.
@@ -56,7 +59,7 @@
  
  # The parallel version is not concerned by the next two lines.
  # They are related to the sequential library provided by MUMPS,
-@@ -95,10 +95,10 @@
+@@ -121,10 +121,10 @@
  
  # DEFINE HERE YOUR BLAS LIBRARY
  
@@ -69,7 +72,7 @@
  
  # FORTRAN/C COMPATIBILITY:
  #  Use:
-@@ -111,11 +111,11 @@
+@@ -137,11 +137,11 @@
  #     leave empty if your Fortran compiler does not change the symbols.
  #
  

Modified: head/math/mumps/files/patch-Make.inc+Makefile.inc.generic.SEQ
==============================================================================
--- head/math/mumps/files/patch-Make.inc+Makefile.inc.generic.SEQ	Tue May 13 21:31:41 2014	(r354001)
+++ head/math/mumps/files/patch-Make.inc+Makefile.inc.generic.SEQ	Tue May 13 21:45:49 2014	(r354002)
@@ -1,30 +1,33 @@
---- Make.inc/Makefile.inc.generic.SEQ.orig	Fri Apr 14 08:00:50 2006
-+++ Make.inc/Makefile.inc.generic.SEQ	Fri May 26 10:27:58 2006
-@@ -42,20 +42,20 @@
- #          Metis is now available as an internal ordering for MUMPS.
- 
- 
--#LSCOTCHDIR = $(HOME)/JY/emilio/bin/generic
-+#LSCOTCHDIR = @LOCALBASE@/lib
- #LSCOTCH   = -L$(LSCOTCHDIR) -lesmumps  -lfax -lorder -lscotch -lsymbol -ldof -lgraph -lcommon -lm
+--- Make.inc/Makefile.inc.generic.SEQ.orig	2011-05-10 14:56:32.000000000 +0200
++++ Make.inc/Makefile.inc.generic.SEQ	2013-08-11 18:13:02.000000000 +0200
+@@ -41,7 +41,7 @@
+ #          Metis/ParMetis and SCOTCH/PT-SCOTCH (ver 5.1 and later) orderings are now available for MUMPS.
+ #
  
- LPORDDIR = ../PORD/lib/
- IPORD    = -I../PORD/include/
+-#SCOTCHDIR  = ${HOME}/scotch_5.1_esmumps
++#SCOTCHDIR  = @LOCALBASE@
+ #ISCOTCH    = -I$(SCOTCHDIR)/include 
+ # You have to choose one among the following two lines depending on
+ # the type of analysis you want to perform. If you want to perform only
+@@ -57,7 +57,7 @@
+ IPORD    = -I$(topdir)/PORD/include/
  LPORD    = -L$(LPORDDIR) -lpord
  
--#LMETISDIR = Directory containing Metis library
-+LMETISDIR = @LOCALBASE@/lib
- #IMETIS    = # Metis doesn't need include files (Fortran interface avail.)
- #LMETIS    = -L$(LMETISDIR) -lmetis
- 
- # Corresponding variables reused later
- #ORDERINGS = -Dmetis -Dpord
+-#LMETISDIR = /local/metis/
++#LMETISDIR = @LOCALBASE@/lib
+ #IMETIS    = # Should be provided if you use parmetis
+ 
+ # You have to choose one among the following two lines depending on
+@@ -72,7 +72,7 @@
+ # The following variables will be used in the compilation process.
+ # Please note that -Dptscotch and -Dparmetis imply -Dscotch and -Dmetis respectively.
+ #ORDERINGSF = -Dscotch -Dmetis -Dpord -Dptscotch -Dparmetis
 -ORDERINGSF  = -Dpord
 +ORDERINGSF  += -Dpord
  ORDERINGSC  = $(ORDERINGSF)
+ 
  LORDERINGS = $(LMETIS) $(LPORD) $(LSCOTCH)
- IORDERINGS = $(IMETIS) $(IPORD) $(ISCOTCH)
-@@ -69,11 +69,11 @@
+@@ -95,11 +95,11 @@
  # RM : remove files
  RM      = /bin/rm -f
  # CC : C compiler
@@ -37,9 +40,14 @@
 -FL      = f90
 +FL      = @FC@
  # AR : Archive object in a library
- AR      = ar vr
- # RANLIB : generate index of an archive file
-@@ -89,10 +89,10 @@
+ #      keep a space at the end if options have to be separated from lib name
+ AR      = ar vr 
+@@ -112,14 +112,14 @@
+ # the sequential library provided by MUMPS, to use instead
+ # of ScaLAPACK and MPI.
+ INCSEQ  = -I$(topdir)/libseq
+-LIBSEQ  = -Llibseq -lmpiseq
++LIBSEQ  = -L$(topdir)/libseq -lmpiseq
  
  # DEFINE HERE YOUR BLAS LIBRARY
  
@@ -48,11 +56,11 @@
  
  # DEFINE HERE YOUR PTHREAD LIBRARY
 -LIBOTHERS = -lpthread
-+LIBOTHERS = @PTHREAD_LIBS@  @FORTRANLIBS@
++LIBOTHERS = @PTHREAD_LIBS@ @GCCLIBDIR@  @FORTRANLIBS@
  
  # FORTRAN/C COMPATIBILITY:
  #  Use:
-@@ -105,12 +105,12 @@
+@@ -132,12 +132,12 @@
  #     leave empty if your Fortran compiler does not change the symbols.
  #
  

Added: head/math/mumps/files/patch-PORD_lib_Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/mumps/files/patch-PORD_lib_Makefile	Tue May 13 21:45:49 2014	(r354002)
@@ -0,0 +1,11 @@
+--- PORD/lib/Makefile.orig	2011-05-10 14:56:32.000000000 +0200
++++ PORD/lib/Makefile	2013-08-11 18:31:47.000000000 +0200
+@@ -22,7 +22,7 @@
+ 	$(CC) $(COPTIONS) -c $*.c $(OUTC)$*.o
+ 
+ libpord$(LIBEXT):$(OBJS)
+-	$(AR)$@ $(OBJS)
++	$(AR) $@ $(OBJS)
+ 	$(RANLIB) $@
+ 
+ clean:

Added: head/math/mumps/files/patch-libseq_Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/mumps/files/patch-libseq_Makefile	Tue May 13 21:45:49 2014	(r354002)
@@ -0,0 +1,11 @@
+--- libseq/Makefile.orig	2011-05-10 14:56:39.000000000 +0200
++++ libseq/Makefile	2013-08-11 18:05:34.000000000 +0200
+@@ -10,7 +10,7 @@
+ libmpiseq: libmpiseq$(PLAT)$(LIBEXT)
+ 
+ libmpiseq$(PLAT)$(LIBEXT): mpi.o mpic.o elapse.o
+-	$(AR)$@ mpi.o mpic.o elapse.o
++	$(AR) $@ mpi.o mpic.o elapse.o
+ 	$(RANLIB) $@
+ .f.o:
+ 	$(FC) $(OPTF)              -c $*.f $(OUTF)$*.o

Added: head/math/mumps/files/patch-src_Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/mumps/files/patch-src_Makefile	Tue May 13 21:45:49 2014	(r354002)
@@ -0,0 +1,16 @@
+--- src/Makefile.orig	2011-05-10 14:56:32.000000000 +0200
++++ src/Makefile	2013-08-11 18:08:25.000000000 +0200
+@@ -53,11 +53,11 @@
+ 
+ 
+ $(libdir)/libmumps_common$(PLAT)$(LIBEXT):	$(OBJS_COMMON)
+-	$(AR)$@ $?
++	$(AR) $@ $?
+ 	$(RANLIB) $@
+ 
+ $(libdir)/lib$(ARITH)mumps$(PLAT)$(LIBEXT):    $(OBJS)
+-	$(AR)$@ $?
++	$(AR) $@ $?
+ 	$(RANLIB) $@
+ 
+ $(ARITH)mumps_load.o:		$(ARITH)mumps_comm_buffer.o \

Modified: head/math/mumps/pkg-descr
==============================================================================
--- head/math/mumps/pkg-descr	Tue May 13 21:31:41 2014	(r354001)
+++ head/math/mumps/pkg-descr	Tue May 13 21:45:49 2014	(r354002)
@@ -13,4 +13,4 @@ format; elemental format.
 - Partial factorization and Schur complement matrix.
 - Several orderings interfaced : AMD, AMF, PORD, METIS
 
-WWW:	http://graal.ens-lyon.fr/MUMPS/
+WWW: http://graal.ens-lyon.fr/MUMPS/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Thierry Thomas freebsd_committer 2014-06-01 08:00:48 UTC
State Changed
From-To: open->closed


Committed, along with staging.